DbLockStat (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DbLockStat,DbLockStat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbLockStat

    java.lang.Object
      |
      +--com.sleepycat.db.DbLockStat

public class DbLockStat
extends Object

The DbLockStat object is used to return lock region statistics.

Field Summary
`int` | `st_cur_maxid` The current maximum unused locker ID.
`int` | `st_id` The last allocated locker ID.
`int` | `st_locktimeout` Lock timeout value.
`int` | `st_maxlockers` The maximum number of lockers possible.
`int` | `st_maxlocks` The maximum number of locks possible.
`int` | `st_maxnlockers` The maximum number of lockers at any one time.
`int` | `st_maxnlocks` The maximum number of locks at any one time.
`int` | `st_maxnobjects` The maximum number of lock objects at any one time.
`int` | `st_maxobjects` The maximum number of lock objects possible.
`int` | `st_nconflicts` The total number of locks not immediately available due to conflicts.
`int` | `st_ndeadlocks` The number of deadlocks.
`int` | `st_nlockers` The number of current lockers.
`int` | `st_nlocks` The number of current locks.
`int` | `st_nlocktimeouts` The number of lock requests that have timed out.
`int` | `st_nmodes` The number of lock modes.
`int` | `st_nnowaits` The total number of lock requests failing because `Db.DB_LOCK_NOWAIT` was set.
`int` | `st_nobjects` The number of current lock objects.
`int` | `st_nreleases` The total number of locks released.
`int` | `st_nrequests` The total number of locks requested.
`int` | `st_ntxntimeouts` The number of transactions that have timed out.
`int` | `st_region_nowait` The number of times that a thread of control was able to obtain the region lock without waiting.
`int` | `st_region_wait` The number of times that a thread of control was forced to wait before obtaining the region lock.
`int` | `st_regsize` The size of the lock region.
`int` | `st_txntimeout` Transaction timeout value.

Constructor Summary
`DbLockStat()`

Method Summary
`String` | `toString()` Provide a string representation of all the fields contained within this class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### st_id

    public int st_id

  The last allocated locker ID.

### st_cur_maxid

    public int st_cur_maxid

  The current maximum unused locker ID.

### st_maxlocks

    public int st_maxlocks

  The maximum number of locks possible.

### st_maxlockers

    public int st_maxlockers

  The maximum number of lockers possible.

### st_maxobjects

    public int st_maxobjects

  The maximum number of lock objects possible.

### st_nmodes

    public int st_nmodes

  The number of lock modes.

### st_nlocks

    public int st_nlocks

  The number of current locks.

### st_maxnlocks

    public int st_maxnlocks

  The maximum number of locks at any one time.

### st_nlockers

    public int st_nlockers

  The number of current lockers.

### st_maxnlockers

    public int st_maxnlockers

  The maximum number of lockers at any one time.

### st_nobjects

    public int st_nobjects

  The number of current lock objects.

### st_maxnobjects

    public int st_maxnobjects

  The maximum number of lock objects at any one time.

### st_nconflicts

    public int st_nconflicts

  The total number of locks not immediately available due to conflicts.

### st_nrequests

    public int st_nrequests

  The total number of locks requested.

### st_nreleases

    public int st_nreleases

  The total number of locks released.

### st_nnowaits

    public int st_nnowaits

  The total number of lock requests failing because `Db.DB_LOCK_NOWAIT` was set.

### st_ndeadlocks

    public int st_ndeadlocks

  The number of deadlocks.

### st_locktimeout

    public int st_locktimeout

  Lock timeout value.

### st_nlocktimeouts

    public int st_nlocktimeouts

  The number of lock requests that have timed out.

### st_txntimeout

    public int st_txntimeout

  Transaction timeout value.

### st_ntxntimeouts

    public int st_ntxntimeouts

  The number of transactions that have timed out. This value is also a component of st_ndeadlocks, the total number of deadlocks detected.

### st_region_wait

    public int st_region_wait

  The number of times that a thread of control was forced to wait before obtaining the region lock.

### st_region_nowait

    public int st_region_nowait

  The number of times that a thread of control was able to obtain the region lock without waiting.

### st_regsize

    public int st_regsize

  The size of the lock region.

Constructor Detail

### DbLockStat

    public DbLockStat()

Method Detail

### toString

    public String toString()

  Provide a string representation of all the fields contained within this class.

  Overrides:
    `toString` in class `Object`
  Returns:
    The string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.